summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorMatthew Murray2020-07-12 21:54:36 +0100
committerMatthew Murray2020-07-12 22:32:59 +0100
commit7588afb663509ad2f6d84b2d5d463c37792f7000 (patch)
tree3cfd509d0bd6986a71e9bbe6de2ce8c8ad6f13a8 /PKGBUILD
downloadaur-7588afb663509ad2f6d84b2d5d463c37792f7000.tar.gz
Initial commit
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..2e7733ea4aa
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,34 @@
+# Maintainer: Matthew Murray <matt@mattmurr.xyz>
+pkgname=python-validity
+pkgver=r101.1c98a45
+pkgrel=1
+pkgdesc="Validity fingerprint sensor driver"
+arch=(any)
+license=(MIT)
+depends=(python python-pyusb python-cryptography python-dbus python-gobject
+ innoextract open-fprintd fprintd-clients)
+makedepends=(python-setuptools)
+conflicts=($pkgname)
+provides=($pkgname)
+url="https://github.com/uunicorn/${pkgname}"
+source=("git+${url}.git#branch=master"
+ python-validity.service)
+md5sums=('SKIP'
+ '41bda3076126b2465eb3cc6dafe14385')
+
+pkgver() {
+ cd $srcdir/$pkgname
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
+
+build() {
+ cd $srcdir/$pkgname
+ python setup.py build
+}
+
+package() {
+ cd $srcdir/$pkgname
+ python setup.py install --prefix=/usr --root $pkgdir || return 1
+}
+
+# vim:set ts=2 sw=2 et: